/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Model;

/**
 *
 * @author moacir
 */
public class Book {

    private String title;
    private String author;
    private int year;
    private int code;
    private static int bookcount = 0;

    public Book(String title, String author, int year) {
        this.title = title;
        this.author = author;
        this.year = year;
        this.code = (++bookcount);
    }

    public int getCode() {
        return code;
    }

    public String getDescription() {
        return title + " " + author + " " + year;
    }

    public String getTitle() {
        return title;
    }

    public String getAuthor() {
        return author;
    }

    public int getYear() {
        return year;
    }

    // public boolean equals (Book b1)
    public boolean equals(Book b1) {
        return ( title.equals((String)b1.getTitle()) &&
                 author.equals((String)b1.getAuthor()) &&
                 year == b1.getYear() )
                ;
    }


}
