/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Model;

import java.util.*;
import java.io.*;

/**
 *
 * @author moacir
 */
public class BookShelf {

    private ArrayList<Book> list;

    public BookShelf () {
        list = new ArrayList<Book>();
    }

    public void insertBook(String title, String author, int year ) {
        Book b1 = new Book(title,author,year);
        list.add(b1);
    }

    public void insertBook(Book b1) {
        list.add(b1);
    }

    public int numberOfBooks() {
        return list.size();
    }

    public void removeBook(int removecode) {
        Iterator<Book> it = list.iterator();

        while (it.hasNext()) {
            Book b1 = (Book)it.next();
            if (b1.getCode() == removecode)
                it.remove();
        }
    }

    public void removeBook(Book removebook) {
        Iterator<Book> it = list.iterator();

        while (it.hasNext()) {
            Book b1 = (Book)it.next();
            if (b1.equals(removebook))
                it.remove();
        }
    }

    public Iterator<Book> getListofBooks() {
        return list.iterator();
    }

    public int loadFromFile() {

        int regcount = 0;
        
        File file = new File("/home/moacir/NetBeansProjects/BookList/Livros.txt");
        //Cria um FileReader para obter dados a partir de 'file'
        FileReader reader;
        //Cria um BufferReader para obter os seus dados a partir de um Reader
        BufferedReader br;

        try {
            reader = new FileReader(file);
            br = new BufferedReader(reader);

            while (br.ready()) {
                String title_read;
                String author_read;
                int year_read;

                title_read = br.readLine();
                author_read = br.readLine();
                year_read = (int)Integer.parseInt(br.readLine());

                Book book_read = new Book(title_read,author_read,year_read);
                insertBook(book_read);
                regcount++;
            }
        }
        catch (FileNotFoundException ex) {
            ex.printStackTrace();
        }
        catch (IOException ex) {
            ex.printStackTrace();
        }

        return regcount;
    }

}
